<template>
  <div class="game">
    <div>
      <span v-html="question"></span>
      <ul>
        <div v-for="answers of answerOption" :key="answers">
          <button
            class="answersBtn"
            v-html="answers"
            @click="nextQuestion(answers)"
          ></button>
        </div>
      </ul>
    </div>
  </div>
</template>

<script>
import { mapActions, mapGetters } from "vuex";

export default {
  name: "Question",
  data() {
    return {
      question: "",
      answerOption: [],
    };
  },

  created() {
    this.setQuestion();
  },
  computed: {
    ...mapGetters([
      "getAnswerOptions",
      "getQuestion",
      "getQuestionsLength",
      "getQuestions",
    ]),
  },
  methods: {
    ...mapActions(["incrementQuestionsAnswered", "addAnswers"]),

    nextQuestion(answer) {
      this.incrementQuestionsAnswered();
      this.addAnswers(answer);
      if (this.$store.state.questionsAnswered == this.getQuestionsLength) {
        //console.log("end of questions");
        this.$router.push({ path: "/Result" });
      } else {
        this.setQuestion();
      }
    },
    setQuestion() {
      this.question = this.getQuestion(this.$store.state.questionsAnswered);
      this.answerOption = this.getAnswerOptions(
        this.$store.state.questionsAnswered
      );
    },
  },
};
</script>

<style>
.answersBtn {
  margin-top: 2em;
  height: 3em;
  width: 20em;
}
</style>
